Package org.apache.solr.common.annotation

# Annotation Interface JsonProperty

@Target({FIELD,METHOD}) @Retention(RUNTIME) public @interface JsonProperty
Provides a 1:1 mapping from jackson's annotation. This was created to avoid direct dependency on jackson in SolrJ

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`defaultValue`
`boolean`
`required`
`String`
`value`

## Element Details

### value

String value

Default:
  `""`

### required

boolean required

Default:
  `false`

### defaultValue

String defaultValue

Default:
  `""`